CC ?= gcc
CFLAGS ?= -O2 -fomit-frame-pointer

CFLAGS += -fPIC -DPIC
CFLAGS += `pkg-config audacious --cflags`

AUDACIOUSLIBS := `pkg-config audacious --libs`

$(PLUGIN_FILE): $(OBJECTS)
	$(CC) -o $@ $^ -ldumb -shared $(AUDACIOUSLIBS)

$(OBJDIR)/%.o: %.c
	$(CC) -c -o $@ $(CFLAGS) $<

$(DEPDIR)/%.d: %.c
	$(CC) -MM $(CFLAGS) $< | sed "s/^$*\.o:/$(OBJDIR)\/$*\.o $(DEPDIR)\/$*\.d:/" > $@

-include $(DEPS)
